libmarc-lint-perl_1.52-1_all.deb


Advertisement

Description

libmarc-lint-perl - Perl extension for checking validity of MARC records

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmarc-lint-perl_1.52-1_all.deb
Package name libmarc-lint-perl
Package version 1.52
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl role::shared-lib
Homepage https://metacpan.org/release/MARC-Lint
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 44.46 KB
Installed size 205.00 KB
MARC::Lint is a Perl module for checking the validity of MARC records. Most
of the users will want to do something like is shown in the synopsis. Other
users may choose instead to overload MARC::Lint's methods and provide their
own special field-level checking. If you have certain requirements, such as
making sure that all 952 tags have a certain call number in them, you can
write a function that checks for that, and still get all the benefits of the
MARC::Lint framework.

Alternatives

Package Version Architecture Repository
libmarc-lint-perl_1.52-1_all.deb 1.52 all Debian Main
libmarc-lint-perl - - -

Requires

Name Value
libbusiness-isbn-perl >= 2.010
libmarc-record-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmarc-lint-perl_1.52-1_all.deb
Source Package libmarc-lint-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmarc-lint-perl deb package:
    # sudo apt-get install libmarc-lint-perl

Files

Path
/usr/bin/marclint
/usr/share/doc/libmarc-lint-perl/changelog.Debian.gz
/usr/share/doc/libmarc-lint-perl/changelog.gz
/usr/share/doc/libmarc-lint-perl/copyright
/usr/share/man/man1/marclint.1p.gz
/usr/share/man/man3/MARC::Lint.3pm.gz
/usr/share/man/man3/MARC::Lint::CodeData.3pm.gz
/usr/share/perl5/MARC/Lint.pm
/usr/share/perl5/MARC/Lint/CodeData.pm

Changelog

2017-08-04 - gregor herrmann <gregoa@debian.org>
libmarc-lint-perl (1.52-1) unstable; urgency=medium
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Remove Jonathan Yu from Uploaders. Thanks for your work!
* New upstream release.
* Update years of packaging copyright.
* Declare compliance with Debian Policy 4.0.0.
2016-01-23 - gregor herrmann <gregoa@debian.org>
libmarc-lint-perl (1.50-1) unstable; urgency=medium
* New upstream release.
* Drop 0001-Fix-test-failures-due-to-Business-ISBN-version-mess.patch.
Fixed upstream.
* Update years of upstream and packaging copyright.
* Bump debhelper compatibility level to 9.
* Add debian/tests/pkg-perl/use-name to help autopkgtest.
2015-12-30 - Niko Tyni <ntyni@debian.org>
libmarc-lint-perl (1.49-2) unstable; urgency=medium
* Team upload.
* Fix test failures due to Business::ISBN version mess (Closes: #809100)
2015-07-09 - Florian Schlichting <fsfs@debian.org>
libmarc-lint-perl (1.49-1) unstable; urgency=low
[ Robin Sheat ]
* New upstream release 1.48
* Add myself to Uploaders
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Florian Schlichting ]
* Import upstream version 1.49
* Email change: Florian Schlichting -> fsfs@debian.org
* Update copyright years
* Declare compliance with Debian Policy 3.9.6
* Mark package autopkgtest-able
2014-06-08 - gregor herrmann <gregoa@debian.org>
libmarc-lint-perl (1.47-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ Daniel Lintott ]
* Fix debian/watch regex (_ instead of -)
[ gregor herrmann ]
* New upstream release.
* debian/copyright: add separate information for one file.
* Update years of packaging copyright.
* Declare compliance with Debian Policy 3.9.5.
2012-10-04 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libmarc-lint-perl (1.46-1) unstable; urgency=low
* Imported Upstream version 1.46.
* Dropped 01_fix-man-name.patch, applied upstream.
2012-08-31 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libmarc-lint-perl (1.45-1) unstable; urgency=low
[ Ryan Niebur ]
* Email change: Jonathan Yu -> jawnsy@cpan.org.
[ gregor herrmann ]
* debian/rules: switch order of arguments to dh.
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Florian Schlichting ]
* Imported Upstream version 1.45.
* Bumped Standards-Version to 3.9.3 (use copyright-format 1.0).
* Bumped years of upstream copyright.
* Bumped dh compatibility to level 8 (no changes necessary).
* Switched to source format 3.0 (quilt).
* Refreshed and forwarded 01_fix-man-name.patch.
* Added myself to uploaders and copyright.

See Also

Package Description
libmarc-parser-raw-perl_0.06-1_all.deb parser for ISO 2709 encoded MARC records
libmarc-perl_1.07-6_all.deb Perl extension to manipulate MAchine Readable Cataloging records
libmarc-record-perl_2.0.7-1_all.deb Perl extension for handling MARC records
libmarc-spec-perl_2.0.3-1_all.deb MARCspec parser and builder
libmarc-transform-perl_0.003007-1_all.deb Perl module to transform a MARC record with a yaml configuration file
libmarc-xml-perl_1.0.5-1_all.deb Perl library to access MARC data encoded as XML
libmarco-dev_1.20.3-1_i386.deb library for Marco window manager (development files)
libmarco-private1_1.20.3-1_i386.deb library for Marco window manager
libmariadb-dev-compat_10.3.15-1_i386.deb MariaDB Connector/C, compatibility symlinks
libmariadb-dev_10.3.15-1_i386.deb MariaDB database development files
libmariadb-java_2.3.0-1_all.deb Java database driver for MariaDB and MySQL
libmariadb3_10.3.15-1_i386.deb MariaDB database client library
libmariadbclient-dev_10.3.15-1_i386.deb MariaDB database development files (transitional package)
libmariadbd-dev_10.3.15-1_i386.deb MariaDB embedded database, development files
libmariadbd19_10.3.15-1_i386.deb MariaDB embedded database, shared library
Advertisement
Advertisement